Index: tmp/org.txm.core/src/java/org/txm/core/chartsengine/jfreechart/___JFCChartsEngine.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/chartsengine/jfreechart/___JFCChartsEngine.java	(revision 136)
+++ tmp/org.txm.core/src/java/org/txm/core/chartsengine/jfreechart/___JFCChartsEngine.java	(revision 137)
@@ -23,9 +23,7 @@
 import org.jfree.chart.axis.NumberAxis;
 import org.jfree.chart.axis.ValueAxis;
 import org.jfree.chart.plot.CategoryPlot;
-import org.jfree.chart.plot.Marker;
 import org.jfree.chart.plot.PlotOrientation;
-import org.jfree.chart.plot.ValueMarker;
 import org.jfree.chart.plot.XYPlot;
 import org.jfree.data.category.CategoryDataset;
 import org.jfree.data.category.DefaultCategoryDataset;
@@ -35,27 +33,21 @@
 import org.jfree.data.xy.XYSeries;
 import org.jfree.data.xy.XYSeriesCollection;
 import org.jfree.graphics2d.svg.SVGGraphics2D;
-import org.jfree.ui.RectangleAnchor;
-import org.jfree.ui.TextAnchor;
-import org.txm.chartsengine.jfreechart.core.datasets.FCAXYDataset;
+import org.txm.ca.core.chartsengine.jfreechart.datasets.FCAXYDataset;
+import org.txm.ca.core.chartsengine.jfreechart.themes.highcharts.renderers.FCAItemSelectionRenderer;
+import org.txm.ca.core.functions.CA;
+import org.txm.cah.core.functions.CAH;
+import org.txm.chartsengine.core.messages.ChartsEngineCoreMessages;
 import org.txm.chartsengine.jfreechart.core.renderers.MultipleItemsSelector;
 import org.txm.chartsengine.jfreechart.core.renderers.interfaces.IItemSelectionRenderer;
 import org.txm.chartsengine.jfreechart.core.themes.base.ExtendedNumberAxis;
 import org.txm.chartsengine.jfreechart.core.themes.base.SymbolAxisBetweenTicks;
 import org.txm.chartsengine.jfreechart.core.themes.base.Theme;
 import org.txm.chartsengine.jfreechart.core.themes.highcharts.defaulttheme.HighchartsDefaultTheme;
-import org.txm.chartsengine.jfreechart.core.themes.highcharts.defaulttheme.renderers.FCAItemSelectionRenderer;
 import org.txm.core.chartsengine.base.___ChartsEngine;
-import org.txm.core.chartsengine.base.messages.ChartsEngineMessages;
-import org.txm.core.chartsengine.jfreechart.messages.JFreeChartsEngineMessages;
-import org.txm.functions.ca.CA;
-import org.txm.functions.classification.CAH;
-import org.txm.functions.progression.Progression;
-import org.txm.functions.specificities.SpecificitesResult;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
 import org.txm.searchengine.cqp.corpus.Part;
 import org.txm.searchengine.cqp.corpus.Partition;
-import org.txm.searchengine.cqp.corpus.query.Query;
 import org.txm.stat.StatException;
 import org.txm.utils.logger.Log;
 
@@ -120,7 +112,7 @@
 	/**
 	 * The charts engine description.
 	 */
-	public final static String DESCRIPTION = JFreeChartsEngineMessages.JFCChartsEngine_ENGINE_DESCRIPTION;
+	public final static String DESCRIPTION = "Java";
 
 	/**
 	 * The rendering theme.
@@ -521,59 +513,59 @@
 	}
 
 
-	/**
-	 * Creates an XY bar chart from the specified dataset
-	 * @param dataset
-	 * @param title
-	 * @param xAxisLabel
-	 * @param yAxisLabel
-	 * @param showLegends
-	 * @return
-	 */
-	public JFreeChart createXYBarChart(IntervalXYDataset dataset, String title, String xAxisLabel, String yAxisLabel, boolean showLegends, boolean rangeAxisIntegerTicks, boolean applyTheme, String[] domainAxisSymbols) {
+//	/**
+//	 * Creates an XY bar chart from the specified dataset
+//	 * @param dataset
+//	 * @param title
+//	 * @param xAxisLabel
+//	 * @param yAxisLabel
+//	 * @param showLegends
+//	 * @return
+//	 */
+//	public JFreeChart createXYBarChart(IntervalXYDataset dataset, String title, String xAxisLabel, String yAxisLabel, boolean showLegends, boolean rangeAxisIntegerTicks, boolean applyTheme, String[] domainAxisSymbols) {
+//
+//		JFreeChart chart = ChartFactory.createXYBarChart(title, xAxisLabel, false, yAxisLabel, dataset, PlotOrientation.VERTICAL, showLegends, true, false);
+//
+//
+//    	// Custom renderer
+//    	chart.getXYPlot().setRenderer(this.theme.createXYBarRenderer());
+//
+//
+//    	// Range axis integer tick units
+//    	if(rangeAxisIntegerTicks)	{
+//    		chart.getXYPlot().getRangeAxis().setStandardTickUnits(NumberAxis.createIntegerTickUnits());
+//     	}
+//
+//    	// Domain axis symbols instead of values
+//    	if(domainAxisSymbols != null)	{
+//            chart.getXYPlot().setDomainAxis(new SymbolAxisBetweenTicks(ChartsEngineCoreMessages.ChartsEngine_PARTITION_DIMENSIONS_X_AXIS_LABEL, domainAxisSymbols));
+//    	}
+//
+//		// Apply theme to the chart
+//    	if(applyTheme)	{
+//    		this.theme.apply(chart);
+//    	}
+//
+//		return chart;
+//	}
 
-		JFreeChart chart = ChartFactory.createXYBarChart(title, xAxisLabel, false, yAxisLabel, dataset, PlotOrientation.VERTICAL, showLegends, true, false);
 
+//	/**
+//	 * Creates an XY bar chart from the specified dataset
+//	 * @param dataset
+//	 * @param title
+//	 * @param xAxisLabel
+//	 * @param yAxisLabel
+//	 * @param showLegends
+//	 * @param rangeAxisIntegerTicks
+//	 * @return
+//	 */
+//	public JFreeChart createXYBarChart(IntervalXYDataset dataset, String title, String xAxisLabel, String yAxisLabel, boolean showLegends, boolean rangeAxisIntegerTicks) {
+//		return this.createXYBarChart(dataset, title, xAxisLabel, yAxisLabel, showLegends, rangeAxisIntegerTicks, true, null);
+//	}
+//
 
-    	// Custom renderer
-    	chart.getXYPlot().setRenderer(this.theme.createXYBarRenderer());
-
-
-    	// Range axis integer tick units
-    	if(rangeAxisIntegerTicks)	{
-    		chart.getXYPlot().getRangeAxis().setStandardTickUnits(NumberAxis.createIntegerTickUnits());
-     	}
-
-    	// Domain axis symbols instead of values
-    	if(domainAxisSymbols != null)	{
-            chart.getXYPlot().setDomainAxis(new SymbolAxisBetweenTicks(ChartsEngineMessages.ChartsEngine_PARTITION_DIMENSIONS_X_AXIS_LABEL, domainAxisSymbols));
-    	}
-
-		// Apply theme to the chart
-    	if(applyTheme)	{
-    		this.theme.apply(chart);
-    	}
-
-		return chart;
-	}
-
-
 	/**
-	 * Creates an XY bar chart from the specified dataset
-	 * @param dataset
-	 * @param title
-	 * @param xAxisLabel
-	 * @param yAxisLabel
-	 * @param showLegends
-	 * @param rangeAxisIntegerTicks
-	 * @return
-	 */
-	public JFreeChart createXYBarChart(IntervalXYDataset dataset, String title, String xAxisLabel, String yAxisLabel, boolean showLegends, boolean rangeAxisIntegerTicks) {
-		return this.createXYBarChart(dataset, title, xAxisLabel, yAxisLabel, showLegends, rangeAxisIntegerTicks, true, null);
-	}
-
-
-	/**
 	 * Creates a FCA scatter plot from the specified dataset.
 	 * @param dataset
 	 * @return the JFreeChart chart
@@ -592,34 +584,34 @@
 	}
 
 
-	@Override
-	public JFreeChart createCAFactorialMapChart(CA ca) {
+//	@Override
+//	public JFreeChart createCAFactorialMapChart(CA ca) {
+//
+//		JFreeChart chart  = null;
+//
+//		try {
+//			FCAXYDataset dataset = new FCAXYDataset(ca);
+//
+//			DecimalFormat f = new DecimalFormat("###.00"); //$NON-NLS-1$
+//			double singularValuesSum = ca.getValeursPropresSum();
+//
+//			String percent1 = f.format(100 * ca.getValeursPropres()[ca.getFirstDimension() - 1] / singularValuesSum);
+//			String axis1 = ChartsEngineCoreMessages.ChartsEngine_CA_FACTORIAL_MAP_AXIS_LABEL_PREFIX + " " + ca.getFirstDimension() + " (" + percent1 + "%)";
+//			String percent2 = f.format(100 * ca.getValeursPropres()[ca.getSecondDimension() - 1] / singularValuesSum);
+//			String axis2 = ChartsEngineCoreMessages.ChartsEngine_CA_FACTORIAL_MAP_AXIS_LABEL_PREFIX  + " " + ca.getSecondDimension() + " (" + percent2 + "%)";
+//			chart = this.createCAFactorialMapChart(dataset, this.createCAFactorialMapChartTitle(ca), axis1, axis2);
+//
+//		}
+//		catch(StatException e) {
+//			Log.severe("Can't create CA factorial map scatter plot" + e);
+//		}
+//
+//		// Apply theme to the chart
+//		this.theme.apply(chart);
+//
+//		return chart;
+//	}
 
-		JFreeChart chart  = null;
-
-		try {
-			FCAXYDataset dataset = new FCAXYDataset(ca);
-
-			DecimalFormat f = new DecimalFormat("###.00"); //$NON-NLS-1$
-			double singularValuesSum = ca.getValeursPropresSum();
-
-			String percent1 = f.format(100 * ca.getValeursPropres()[ca.getFirstDimension() - 1] / singularValuesSum);
-			String axis1 = ChartsEngineMessages.ChartsEngine_CA_FACTORIAL_MAP_AXIS_LABEL_PREFIX + " " + ca.getFirstDimension() + " (" + percent1 + "%)";
-			String percent2 = f.format(100 * ca.getValeursPropres()[ca.getSecondDimension() - 1] / singularValuesSum);
-			String axis2 = ChartsEngineMessages.ChartsEngine_CA_FACTORIAL_MAP_AXIS_LABEL_PREFIX  + " " + ca.getSecondDimension() + " (" + percent2 + "%)";
-			chart = this.createCAFactorialMapChart(dataset, this.createCAFactorialMapChartTitle(ca), axis1, axis2);
-
-		}
-		catch(StatException e) {
-			Log.severe("Can't create CA factorial map scatter plot" + e);
-		}
-
-		// Apply theme to the chart
-		this.theme.apply(chart);
-
-		return chart;
-	}
-
 	@Override
 	public File createCAFactorialMapChartFile(CA ca, File file) {
 		return this.export(this.createCAFactorialMapChart(ca), file);
@@ -637,11 +629,11 @@
 			double[] singularValues = ca.getValeursPropres();
 
 			for(int i = 0; i < singularValues.length; i++) {
-				dataset.setValue(singularValues[i], ChartsEngineMessages.ChartsEngine_CA_SINGULAR_VALUES_TOOLTIP_Y_LABEL, ChartsEngineMessages.ChartsEngine_CA_SINGULAR_VALUES_X_LABELS_PREFIX + String.valueOf(i + 1));
+				dataset.setValue(singularValues[i], ChartsEngineCoreMessages.ChartsEngine_CA_SINGULAR_VALUES_TOOLTIP_Y_LABEL, ChartsEngineCoreMessages.ChartsEngine_CA_SINGULAR_VALUES_X_LABELS_PREFIX + String.valueOf(i + 1));
 			}
 
 			// Create the chart
-			chart = this.createCategoryBarChart(dataset, ChartsEngineMessages.ChartsEngine_CA_SINGULAR_VALUES_TITLE, ChartsEngineMessages.ChartsEngine_CA_SINGULAR_VALUES_X_AXIS_LABEL, ChartsEngineMessages.ChartsEngine_CA_SINGULAR_VALUES_Y_AXIS_LABEL, false, false, false);
+			chart = this.createCategoryBarChart(dataset, ChartsEngineCoreMessages.ChartsEngine_CA_SINGULAR_VALUES_TITLE, ChartsEngineCoreMessages.ChartsEngine_CA_SINGULAR_VALUES_X_AXIS_LABEL, ChartsEngineCoreMessages.ChartsEngine_CA_SINGULAR_VALUES_Y_AXIS_LABEL, false, false, false);
 
 			// Custom renderer
 			chart.getCategoryPlot().setRenderer(this.theme.createCASingularValuesRenderer());
@@ -652,7 +644,7 @@
 
 		}
 		catch(StatException e) {
-			Log.severe(ChartsEngineMessages.ChartsEngine_CA_SINGULAR_VALUES_CANT_CREATE_CHART + e);
+			Log.severe(ChartsEngineCoreMessages.ChartsEngine_CA_SINGULAR_VALUES_CANT_CREATE_CHART + e);
 		}
 
 		// Apply theme to the chart
@@ -1351,7 +1343,7 @@
 			// Creating the data set from the partition result
 			XYSeriesCollection dataset = new XYSeriesCollection();
 
-			XYSeries series = new XYSeries(ChartsEngineMessages.ChartsEngine_PARTITION_DIMENSIONS_CATEGORY);
+			XYSeries series = new XYSeries(ChartsEngineCoreMessages.ChartsEngine_PARTITION_DIMENSIONS_CATEGORY);
 			dataset.addSeries(series);
 
 			List<Part> parts;
@@ -1380,7 +1372,7 @@
 			String title = this.createPartitionDimensionsChartTitle(partition, sortPartsBySize);
 
 			// Create the chart
-	        chart = this.createXYBarChart(dataset, title, ChartsEngineMessages.ChartsEngine_PARTITION_DIMENSIONS_X_AXIS_LABEL, ChartsEngineMessages.ChartsEngine_PARTITION_DIMENSIONS_Y_AXIS_LABEL, false, true, false, xAxisSymbols);
+	        chart = this.createXYBarChart(dataset, title, ChartsEngineCoreMessages.ChartsEngine_PARTITION_DIMENSIONS_X_AXIS_LABEL, ChartsEngineCoreMessages.ChartsEngine_PARTITION_DIMENSIONS_Y_AXIS_LABEL, false, true, false, xAxisSymbols);
 	        ((IItemSelectionRenderer) chart.getXYPlot().getRenderer()).setChartType(___ChartsEngine.CHART_TYPE_PARTITION_DIMENSIONS);
 
 
@@ -2241,8 +2233,8 @@
 		 try {
 			 double sinuglarValuesSum = ca.getValeursPropresSum();
 			 DecimalFormat f = new DecimalFormat("###.00"); //$NON-NLS-1$
-			 ((JFreeChart) chart).getXYPlot().getDomainAxis().setLabel(ChartsEngineMessages.ChartsEngine_CA_FACTORIAL_MAP_AXIS_LABEL_PREFIX + " " + dimension1 + " (" + f.format(100 * ca.getValeursPropres()[dimension1 - 1] / sinuglarValuesSum) + "%)");
-			 ((JFreeChart) chart).getXYPlot().getRangeAxis().setLabel(ChartsEngineMessages.ChartsEngine_CA_FACTORIAL_MAP_AXIS_LABEL_PREFIX + " " + dimension2 + " (" + f.format(100 * ca.getValeursPropres()[dimension2 - 1] / sinuglarValuesSum) + "%)");
+			 ((JFreeChart) chart).getXYPlot().getDomainAxis().setLabel(ChartsEngineCoreMessages.ChartsEngine_CA_FACTORIAL_MAP_AXIS_LABEL_PREFIX + " " + dimension1 + " (" + f.format(100 * ca.getValeursPropres()[dimension1 - 1] / sinuglarValuesSum) + "%)");
+			 ((JFreeChart) chart).getXYPlot().getRangeAxis().setLabel(ChartsEngineCoreMessages.ChartsEngine_CA_FACTORIAL_MAP_AXIS_LABEL_PREFIX + " " + dimension2 + " (" + f.format(100 * ca.getValeursPropres()[dimension2 - 1] / sinuglarValuesSum) + "%)");
 
 			 // Refresh data set
 			 // FIXME : any way to fire a data set event rather than reassign the same data set ?
Index: tmp/org.txm.core/src/java/org/txm/objects/Edition.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/objects/Edition.java	(revision 136)
+++ tmp/org.txm.core/src/java/org/txm/objects/Edition.java	(revision 137)
@@ -196,7 +196,7 @@
 	 * @return the page for word id
 	 */
 	public Page getPageForWordId(String idx) {
-		Log.info("getPageForWordId "+idx);
+		Log.info("Page.getPageForWordId(): "+idx);
 		Page lastpage = null;
 		for (Page p : pages) {
 			String s = p.getWordId();
Index: tmp/org.txm.core/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.core/META-INF/MANIFEST.MF	(revision 136)
+++ tmp/org.txm.core/META-INF/MANIFEST.MF	(revision 137)
@@ -4,7 +4,12 @@
 Bundle-SymbolicName: org.txm.core;singleton:=true
 Bundle-Version: 0.7.0.qualifier
 Bundle-Activator: org.txm.toolbox.Activator
-Require-Bundle: org.eclipse.core.runtime,
+Require-Bundle: org.txm.progression.core;bundle-version="1.0.0",
+ org.txm.ca.core;bundle-version="1.0.0",
+ org.txm.cah.core;bundle-version="1.0.0",
+ org.txm.specificities.core;bundle-version="1.0.0",
+ org.txm.partition.core;bundle-version="1.0.0",
+ org.eclipse.core.runtime,
  org.txm.chartsengine.core,
  org.txm.chartsengine.jfreechart.core;bundle-version="1.0.0",
  org.eclipse.osgi.util;bundle-version="3.2.0",
@@ -354,11 +359,8 @@
  org.txm.annotation.temporary,
  org.txm.ant,
  org.txm.core.chartsengine.base,
- org.txm.core.chartsengine.base.messages,
  org.txm.core.chartsengine.jfreechart,
- org.txm.core.chartsengine.jfreechart.messages,
  org.txm.core.chartsengine.r,
- org.txm.core.chartsengine.r.messages,
  org.txm.core.messages,
  org.txm.core.preferences,
  org.txm.doc,
@@ -366,8 +368,6 @@
  org.txm.export.conll2009,
  org.txm.export.ts,
  org.txm.functions,
- org.txm.functions.ca,
- org.txm.functions.classification,
  org.txm.functions.concordances,
  org.txm.functions.concordances.comparators,
  org.txm.functions.contrasts,
@@ -381,10 +381,8 @@
  org.txm.functions.parabrowser,
  org.txm.functions.parallelcontexts,
  org.txm.functions.preview,
- org.txm.functions.progression,
  org.txm.functions.referencer,
  org.txm.functions.selection,
- org.txm.functions.specificities,
  org.txm.functions.summary,
  org.txm.importer,
  org.txm.importer.RGAQCJ,
Index: tmp/org.txm.progression.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.progression.rcp/META-INF/MANIFEST.MF	(revision 136)
+++ tmp/org.txm.progression.rcp/META-INF/MANIFEST.MF	(revision 137)
@@ -14,6 +14,7 @@
  org.txm.chartsengine.r.core;bundle-version="1.0.0",
  org.eclipse.core.runtime;bundle-version="3.10.0",
  org.txm.chartsengine.svgbatik.rcp;bundle-version="1.0.0",
- org.txm.progression.core;bundle-version="1.0.0"
+ org.txm.progression.core;bundle-version="1.0.0",
+ org.txm.synopticeditor.rcp
 Export-Package: org.txm.progression.rcp.adapters,
  org.txm.progression.rcp.dialogs
Index: tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/preferences/ProgressionPreferencePage.java
===================================================================
--- tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/preferences/ProgressionPreferencePage.java	(revision 136)
+++ tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/preferences/ProgressionPreferencePage.java	(revision 137)
@@ -33,7 +33,7 @@
 import org.txm.chartsengine.rcp.SWTChartsComponentsProvider;
 import org.txm.progression.core.preferences.ProgressionPreferences;
 import org.txm.progression.rcp.adapters.ProgressionAdapterFactory;
-import org.txm.progression.rcp.messages.RCPProgressionMessages;
+import org.txm.progression.rcp.messages.ProgressionUIMessages;
 import org.txm.rcp.preferences.TXMPreferencePage;
 import org.txm.rcp.preferences.TXMPreferenceStore;
 import org.txm.rcpapplication.TxmPreferences;
@@ -53,24 +53,8 @@
 public class ProgressionPreferencePage extends TXMPreferencePage {
 
 
-	/**
-	 * Instantiates a new progression preference page.
-	 */
-	public ProgressionPreferencePage() {
-		super();
-	}
-
 	
 	/**
-	 * 
-	 * @return
-	 */
-	public static TXMPreferenceStore getNewPreferenceStore()	{
-		return new TXMPreferenceStore(ProgressionPreferences.PREFERENCES_NODE);
-	}
-
-	
-	/**
 	 * Creates the field editors. Field editors are abstractions of the common
 	 * GUI blocks needed to manipulate various types of preferences. Each field
 	 * editor knows how to save and restore itself.
@@ -82,16 +66,16 @@
 		// Charts rendering
 		Composite chartsTab = SWTChartsComponentsProvider.createChartsRenderingPreferencesTabFolderComposite(this.getFieldEditorParent());
 		
-		this.addField(new BooleanFieldEditor(ProgressionPreferences.CHART_CUMULATIVE, RCPProgressionMessages.ProgressionPreferencePage_3, chartsTab));
-		this.addField(new BooleanFieldEditor(ProgressionPreferences.CHART_MONO_STYLE, RCPProgressionMessages.ProgressionPreferencePage_5, chartsTab));
-		this.addField(new BooleanFieldEditor(ProgressionPreferences.CHART_REPEAT_VALUES, RCPProgressionMessages.ProgressionPreferencePage_6, chartsTab));
+		this.addField(new BooleanFieldEditor(ProgressionPreferences.CHART_CUMULATIVE, ProgressionUIMessages.ProgressionPreferencePage_3, chartsTab));
+		this.addField(new BooleanFieldEditor(ProgressionPreferences.CHART_MONO_STYLE, ProgressionUIMessages.ProgressionPreferencePage_5, chartsTab));
+		this.addField(new BooleanFieldEditor(ProgressionPreferences.CHART_REPEAT_VALUES, ProgressionUIMessages.ProgressionPreferencePage_6, chartsTab));
 		
 		float test = TxmPreferences.getFloat(ProgressionPreferences.CHART_BANDE_MULTIPLIER, 999f);
 		if (test == 999f)	{
 			TxmPreferences.set(ProgressionPreferences.CHART_BANDE_MULTIPLIER, 1.0f);
 		}
 		
-		DoubleFieldEditor bandemultiplierfield = new DoubleFieldEditor(ProgressionPreferences.CHART_BANDE_MULTIPLIER, RCPProgressionMessages.ProgressionPreferencePage_7, chartsTab);
+		DoubleFieldEditor bandemultiplierfield = new DoubleFieldEditor(ProgressionPreferences.CHART_BANDE_MULTIPLIER, ProgressionUIMessages.ProgressionPreferencePage_7, chartsTab);
 		this.addField(bandemultiplierfield);
 		// FIXME: valid range
 		//if (bandemultiplierfield.getIntValue() == 0)
@@ -100,18 +84,14 @@
 		
 		// other shared preferences
 		SWTChartsComponentsProvider.createChartsRenderingPreferencesFields(this, chartsTab);
-		
-		
-		
-		
 
 	}
 
 	@Override
 	public void init(IWorkbench workbench) {
-		this.setPreferenceStore(getNewPreferenceStore());
+		this.setPreferenceStore(new TXMPreferenceStore(ProgressionPreferences.PREFERENCES_NODE));
 		//setDescription("Progression");
-		this.setTitle(RCPProgressionMessages.ProgressionPreferencePage_2);
+		this.setTitle(ProgressionUIMessages.ProgressionPreferencePage_2);
 		this.setImageDescriptor(ProgressionAdapterFactory.ICON);
 	}
 
Index: tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/dialogs/ProgressionDialog.java
===================================================================
--- tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/dialogs/ProgressionDialog.java	(revision 136)
+++ tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/dialogs/ProgressionDialog.java	(revision 137)
@@ -53,11 +53,11 @@
 import org.eclipse.swt.widgets.Shell;
 import org.eclipse.swt.widgets.Text;
 import org.txm.chartsengine.core.ChartsEngine;
+import org.txm.chartsengine.core.messages.ChartsEngineCoreMessages;
 import org.txm.chartsengine.core.preferences.ChartsEnginePreferences;
 import org.txm.chartsengine.rcp.messages.SWTComponentsProviderMessages;
-import org.txm.core.chartsengine.base.messages.ChartsEngineMessages;
 import org.txm.core.preferences.TXMPreferences;
-import org.txm.progression.core.functions.Progression2;
+import org.txm.progression.core.functions.Progression;
 import org.txm.progression.core.preferences.ProgressionPreferences;
 import org.txm.progression.rcp.preferences.ProgressionPreferencePage;
 import org.txm.rcp.preferences.TXMPreferenceStore;
@@ -151,7 +151,7 @@
 	Button styleButton;
 	
 	/** The colors. */
-	String[] colors = Progression2.colors;
+	String[] colors = Progression.colors;
 	
 	/** The self. */
 	ProgressionDialog self;
@@ -211,7 +211,7 @@
 			this.parent = p;
 
 			// get preferences values
-			TXMPreferenceStore store = ProgressionPreferencePage.getNewPreferenceStore();
+			TXMPreferenceStore store = new TXMPreferenceStore(ProgressionPreferences.PREFERENCES_NODE);
 			
 			this.blackAndWhite = (TXMPreferences.getInt(ProgressionPreferences.PREFERENCES_NODE, ChartsEnginePreferences.RENDERING_COLORS_MODE) == ChartsEngine.RENDERING_MONOCHROME_MODE);
 			
Index: tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/adapters/ProgressionAdapterFactory.java
===================================================================
--- tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/adapters/ProgressionAdapterFactory.java	(revision 136)
+++ tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/adapters/ProgressionAdapterFactory.java	(revision 137)
@@ -5,7 +5,7 @@
 import org.eclipse.ui.model.IWorkbenchAdapter;
 import org.eclipse.ui.plugin.AbstractUIPlugin;
 import org.osgi.framework.FrameworkUtil;
-import org.txm.progression.core.functions.Progression2;
+import org.txm.progression.core.functions.Progression;
 import org.txm.rcp.adapters.BaseAdapterFactory;
 
 
@@ -34,7 +34,7 @@
 	public Object getAdapter(Object adaptableObject, Class adapterType) {
 		
 		if(adapterType == IWorkbenchAdapter.class)	{
-			if(adaptableObject instanceof Progression2)	{
+			if(adaptableObject instanceof Progression)	{
 				return new IWorkbenchAdapter() {
 					@Override
 					public Object[] getChildren(Object resultData) {
@@ -48,12 +48,12 @@
 	
 					@Override
 					public String getLabel(Object resultData) {
-						return ((Progression2) resultData).getDetails(); 
+						return ((Progression) resultData).getDetails(); 
 					}
 	
 					@Override
 					public Object getParent(Object resultData) {
-						return ((Progression2) resultData).getCorpus();
+						return ((Progression) resultData).getCorpus();
 					}
 				};
 			}
Index: tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/messages/ProgressionUIMessages.java
===================================================================
--- tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/messages/ProgressionUIMessages.java	(revision 0)
+++ tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/messages/ProgressionUIMessages.java	(revision 137)
@@ -0,0 +1,26 @@
+package org.txm.progression.rcp.messages;
+
+import org.eclipse.osgi.util.NLS;
+import org.txm.core.messages.TXMCoreMessages;
+
+public class ProgressionUIMessages extends NLS {
+
+	// FIXME: use the same properties file than the bundle
+	private static final String BUNDLE_NAME = "l10n.bundle"; //$NON-NLS-1$
+
+	public static String ProgressionPreferencePage_2;
+	public static String ProgressionPreferencePage_3;
+	public static String ProgressionPreferencePage_4;
+	public static String ProgressionPreferencePage_5;
+	public static String ProgressionPreferencePage_6;
+	public static String ProgressionPreferencePage_7;
+
+	static {
+		// initializes resource bundle
+		TXMCoreMessages.initializeMessages(BUNDLE_NAME, ProgressionUIMessages.class);
+		//NLS.initializeMessages(BUNDLE_NAME, RCPProgressionMessages.class);
+	}
+	
+	private ProgressionUIMessages() {
+	}
+}

Index: tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/chartsengine/events/ProgressionSelectionListener.java
===================================================================
--- tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/chartsengine/events/ProgressionSelectionListener.java	(revision 0)
+++ tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/chartsengine/events/ProgressionSelectionListener.java	(revision 137)
@@ -0,0 +1,103 @@
+package org.txm.progression.rcp.chartsengine.events;
+
+import org.eclipse.swt.events.SelectionEvent;
+import org.txm.chartsengine.rcp.editors.ChartEditorPart;
+import org.txm.chartsengine.rcp.events.BaseSelectionListener;
+
+/**
+ * Progression selection listener.
+ * @author sjacquot
+ *
+ */
+public class ProgressionSelectionListener extends BaseSelectionListener {
+
+
+	/**
+	 * 
+	 * @param chartEditor
+	 * @param commandId
+	 */
+	public ProgressionSelectionListener(ChartEditorPart chartEditor, int commandId) {
+		super(chartEditor, commandId);
+	}
+
+
+
+	@Override
+	public void widgetSelected(SelectionEvent e) {
+		
+		
+		// FIXME: to discuss
+		// Send to other command
+//		if(this.commandId == ProgressionSelectionListener.SEND_TO_INDEX || this.commandId == ProgressionSelectionListener.SEND_TO_CONCORDANCE
+//				|| this.commandId == ProgressionSelectionListener.SEND_TO_COOCCURRENCE)	{
+//
+//
+//			Progression progression = (Progression) this.chartEditor.getResultData();
+//			// gets the progression queries from the current selected chart series
+//			String query = progression.getQueriesString(chartEditor.getEditorInput().getSWTChartComponentsProvider().getChartsEngine().getProgressionChartSelectedSeries(chartEditor.getChart()));
+//			
+//			// Send to index
+//			if(this.commandId == ProgressionSelectionListener.SEND_TO_INDEX)	{
+//	
+//				IndexEditorInput editorInput = new IndexEditorInput(progression.getCorpus());
+//	
+//				try {
+//					IWorkbenchPage page = this.chartEditor.getEditorSite().getWorkbenchWindow().getActivePage();
+//					IndexEditor editor = (IndexEditor) page.openEditor(editorInput, IndexEditor.ID);
+//					editor.setFocus(query);
+//					editor.compute();
+//				}
+//				catch(PartInitException e1) {
+//					e1.printStackTrace();
+//				}
+//			}
+//			// Send to concordance
+//			else if(this.commandId == ProgressionSelectionListener.SEND_TO_CONCORDANCE)	{
+//	
+//				ConcordancesEditorInput editorInput = new ConcordancesEditorInput(progression.getCorpus(), null);
+//	
+//				try {
+//					IWorkbenchPage page = this.chartEditor.getEditorSite().getWorkbenchWindow().getActivePage();
+//					ConcordancesEditor editor = (ConcordancesEditor) page.openEditor(editorInput, "org.txm.rcpapplication.editors.ConcordancesEditor"); //$NON-NLS-1$
+//					editor.setQuery(query);
+//					editor.compute();
+//					
+//					// move in the concordance to the line of the selected progression point
+//					final ArrayList<Integer> selectedPointPositions = chartEditor.getEditorInput().getSWTChartComponentsProvider().getChartsEngine().getProgressionChartSelectedPointPositions(chartEditor.getChart());
+//					ArrayList<EditorPart> linkedEditors = new ArrayList<EditorPart>(); 
+//					linkedEditors.add(editor);
+//					new ProgressionEventCallBack(this.chartEditor).updateLinkedConcordanceEditor(linkedEditors, selectedPointPositions);
+//
+//					
+//				}
+//				catch(PartInitException e1) {
+//					e1.printStackTrace();
+//				}
+//			}
+//			// Send to cooccurrence
+//			else if(this.commandId == ProgressionSelectionListener.SEND_TO_COOCCURRENCE)	{
+//	
+//				CooccurrenceEditorInput editorInput = new CooccurrenceEditorInput(progression.getCorpus());
+//	
+//				try {
+//					IWorkbenchPage page = this.chartEditor.getEditorSite().getWorkbenchWindow().getActivePage();
+//					CooccurrencesEditor editor = (CooccurrencesEditor) page.openEditor(editorInput, CooccurrencesEditor.ID);
+//					editor.setFocus(query);
+//					editor.compute();
+//				}
+//				catch(PartInitException e1) {
+//					e1.printStackTrace();
+//				}
+//			}
+//		}
+		
+	}
+
+	@Override
+	public void widgetDefaultSelected(SelectionEvent e) {
+		// TODO Auto-generated method stub
+
+	}
+
+}

